.zrm-divider {
	--zrm-div-style: solid;
	--zrm-div-color: currentColor;
	--zrm-div-thickness: 1px;
	--zrm-div-width: 100%;
	--zrm-div-spacing-top: 24px;
	--zrm-div-spacing-bottom: 24px;

	display: flex;
	padding-top: var(--zrm-div-spacing-top);
	padding-bottom: var(--zrm-div-spacing-bottom);
}

.zrm-divider--left   { justify-content: flex-start; }
.zrm-divider--center { justify-content: center; }
.zrm-divider--right  { justify-content: flex-end; }

.zrm-divider__line {
	width: var(--zrm-div-width);
	border: none;
	border-top: var(--zrm-div-thickness) var(--zrm-div-style) var(--zrm-div-color);
	margin: 0;
	padding: 0;
}
